Bug 145219 - Dependancy in dovecot for mysql
Summary: Dependancy in dovecot for mysql
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-15 15:58 UTC by Scot Harris
Modified: 2014-01-21 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-15 23:15:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scot Harris 2005-01-15 15:58:57 UTC
Description of problem:

Latest version of dovecot has a dependency for mysql.  This should
broken out into a separate package to install the mysql option
for dovecot.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. install or update latest version of dovecot
2.
3.
  
Actual results:

mysql is pulled in as a dependancy of dovecot.

Expected results:

dovecot installed or upgraded without mysql unless separate rpm 
package is installed to include mysql support.

Additional info:

Comment 1 Scot Harris 2005-01-15 16:54:20 UTC
dovecot also has dependency on postgresql and openssl.  Both packages
appear to be options just like mysql depending on how dovecot is
configured.  Each of these should be broken out into optional packages.

Comment 2 Scot Harris 2005-01-15 17:01:40 UTC
This is true in FC2 and FC3.

Comment 3 Warren Togami 2005-01-15 23:15:36 UTC
This cannot be easily done without rearchitecturing of dovecot
upstream.  Sorry.


Comment 4 Warren Togami 2005-01-15 23:51:37 UTC
See Bug 145241 for more details.


Comment 5 John Dennis 2005-01-17 20:49:37 UTC
It appears this request can be accomodated by following the procedure
outlined in the INSTALL file of dovecot to produce loadable modules
and then packaging those loadable modules in sub-packages. I opened
bug #145371 to track this as FC-4 requirement.


Note You need to log in before you can comment on or make changes to this bug.